
worklight = {};

function worklight.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function worklight:load(xmlFile)
    
     self.numworklight = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.worklight#count"), 0);
    self.worklight = {};
    for i=1, self.numworklight do
        local worklightnamei = string.format("vehicle.worklight.worklight" .. "%d", i);
        self.worklight[i] = Utils.indexToObject(self.rootNode, getXMLInt(xmlFile, worklightnamei .. "#index"));
        setVisibility(self.worklight[i], false);
    end;	
	
	self.worklightActive = false;

   
end;

function worklight:delete()
end;

function worklight:mouseEvent(posX, posY, isDown, isUp, button)
end;


function worklight:keyEvent(unicode, sym, modifier, isDown)
	

	if isDown and sym == Input.KEY_6 then
		self.worklightActive = not self.worklightActive;
	end;

end;

function worklight:update(dt)

   
   if self.isEntered then
   if self.worklightActive then
		for i=1, self.numworklight do
			local worklight = self.worklight[i];
			setVisibility(worklight, self.worklightActive);
		end;
	else
		for i=1, self.numworklight do
			local worklight = self.worklight[i];
			setVisibility(worklight, self.worklightActive, false);
		end;
	end;
	end;

end;


function worklight:onLeave()

	
	self.worklightActive = false;
   
end;


function worklight:draw()


if self.isEntered then
    if self.worklightActive then
        g_currentMission:addExtraPrintText();
   else
        g_currentMission:addExtraPrintText();
   end;
end;
  

end;